Bug 517759 - system-config-lvm allows resizing of live crypted mounted volumes including /
Summary: system-config-lvm allows resizing of live crypted mounted volumes including /
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-lvm
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marek Grac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 20:17 UTC by Justin Zygmont
Modified: 2009-12-14 13:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-14 13:52:34 UTC


Attachments (Terms of Use)

Description Justin Zygmont 2009-08-16 20:17:19 UTC
Description of problem:

system-config-lvm allows resizing of live mounted volumes including root!, and fails to change anything in the underlying filesystem.  This causes fs errors on bootup and possible loss of data.  

Version-Release number of selected component (if applicable):

1.1.4 in Fedora 10


How reproducible:

always


Steps to Reproduce:
1. start system-config-lvm tool, select a LV, click "Edit Properties"
2. reduce the size of the LV, exit tool, and reboot
3. what the fs errors at boot time, and pray you haven't just lost your files
  
Actual results:

it just does a shrink on the LV


Expected results:

I was sure it would unmount the fs, do a fsck, and resize2fs, then lvreduce, then resize2fs again, and mount back.  thats the purpose of a tool


Additional info:

Comment 1 Justin Zygmont 2009-08-25 18:09:22 UTC
I just thought i'd mention that this is with an encrypted LVM.  resize2fs doesnt seem to work either.  Maybe the tool needs to be adjusted for LUKS encryption?

Comment 2 Marek Grac 2009-08-26 08:43:39 UTC
Updated package should be in F10 soon (pushed to stable), one problem with resize2fs was fixed. Shrinking root filesystem should be possible also on mounted filesystem. 

I will check that problem with encrypted filesystem, but next week I'm leaving for holidays, so it will be fixed in late September at best.

Comment 3 Justin Zygmont 2009-08-30 10:06:22 UTC
well, it didn't seem to help any of the problems above.  resize2fs doesn't work either, but on the non encrypted volume it does work. So its definitely a problem in resize2fs, and the LVM tool is practically useless at this point.

# resize2fs /dev/VolGroup00/LVspare
resize2fs 1.41.4 (27-Jan-2009)
resize2fs: Device or resource busy while trying to open /dev/VolGroup00/LVspare
Couldn't find valid filesystem superblock.

Comment 4 Justin Zygmont 2009-09-04 18:10:01 UTC
I think I see the problem now, It looks like resize2fs needs to operate on the luks encrypted device only. 


# ls /dev/mapper
luks-0bc6ebf4-7591-4ef5-83fd-9fa2550bdaa2  VolGroup00-LVroot
luks-89c69e57-2c16-4864-b561-b470bbd22dca  VolGroup00-LVspare
luks-8cdb07ca-3506-433e-9477-0bd795a257a4  VolGroup00-LVswap


So I guess the LVM tool just needs to be adjusted for this, for encrypted volumes.  I tested that resize2fs works fine.  I think the cryptsetup command would be required also.  Just let me know if you need any more info at all.

thanks,

Comment 5 Bug Zapper 2009-11-18 12:11:51 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Marek Grac 2009-12-14 13:52:34 UTC
Corruption of filesystem is cloned to bz#547363. There is no plan to support encrypted volumes in s-c-lvm as it is deprecated product. If you want to write a patch, i don't have a problem with adding it to upstream.


Note You need to log in before you can comment on or make changes to this bug.